Overview :
D-Link DIR-859 routers before v1.07b03_beta allow Unauthenticated Information Disclosure via the AUTHORIZED_GROUP=1%0a value, as demonstrated by vpnconfig.php.
Affected Product(s) :
  • D-Link DIR-859 before v1.07b03_beta
Vulnerability Details :
CVE ID : CVE-2019-20213
In order for this security exploit to be done a malicious user would have to get access to the LAN-side or in-home access to the device which narrows the risk of an attack considerably. Regardless we appreciate the 3rd parties report, confirmed and released patches to close this issue.

Solution :

Upgrade to D-Link DIR-859 v1.07b03_beta